Skip to main content
POST
/
pet
/
{petId}
/
uploadImage
Uploads an image.
curl --request POST \
  --url https://petstore3.swagger.io/api/v3/pet/{petId}/uploadImage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/octet-stream' \
  --data '"<string>"'
import requests

url = "https://petstore3.swagger.io/api/v3/pet/{petId}/uploadImage"

payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'},
body: JSON.stringify('<string>')
};

fetch('https://petstore3.swagger.io/api/v3/pet/{petId}/uploadImage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 123,
  "type": "<string>",
  "message": "<string>"
}
{
"code": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

petId
integer<int64>
required

ID of pet to update

Query Parameters

additionalMetadata
string

Additional Metadata

Body

application/octet-stream

The body is of type file.

Response

successful operation

code
integer<int32>
type
string
message
string